<div class="flex flex-row justify-center items-center">
	<button (click)="triggerPrevPage()" [disabled]="currentPage === 1">
		<svg
			[class.transform]="isRTL()"
			[class.rotate-180]="isRTL()"
			width="24"
			height="24"
			viewBox="0 0 24 24"
			fill="none"
			xmlns="http://www.w3.org/2000/svg"
		>
			<path
				d="M15.4099 7.41L10.8299 12L15.4099 16.59L13.9999 18L7.99991 12L13.9999 6L15.4099 7.41Z"
				[attr.fill]="isTemplatesPage ? '#717A8F' : '#130524'"
				[attr.fill-opacity]="currentPage === 1 ? 0.4 : 1"
			/>
		</svg>
	</button>
	<span [class.text-white]="isTemplatesPage" [class.text-dark]="!isTemplatesPage" class="font-medium">{{
		pagesText
	}}</span>
	<button (click)="triggerNextPage()" [disabled]="currentPage === totalPages">
		<svg
			[class.transform]="isRTL()"
			[class.rotate-180]="isRTL()"
			width="24"
			height="24"
			viewBox="0 0 24 24"
			fill="none"
			xmlns="http://www.w3.org/2000/svg"
		>
			<path
				d="M8.59009 16.59L13.1701 12L8.59009 7.41L10.0001 6L16.0001 12L10.0001 18L8.59009 16.59Z"
				[attr.fill]="isTemplatesPage ? '#717A8F' : '#130524'"
				[attr.fill-opacity]="currentPage === totalPages ? 0.4 : 1"
			/>
		</svg>
	</button>
</div>
